<% @page_title = "edit #{@gallery.name}" %>

<% content_for 'tasks' do %>
  <li>
    <%= link_to 'List of Galleries', admin_galleries_url %>
  </li>
<% end %>

<h2>Manage galleries</h2>

<%= error_messages_for :gallery %>
<%= flash_notice %>

<h3>New gallery</h3>


<% form_for([:admin, @gallery]) do |f| %>
  <fieldset class="set admin" style="display: block;">
    <ul>
      <li>
        <label class="block" for="name">Name :</label>
        <%= f.text_field :name %>
      </li>
      <li>
        <label class="block" for="description">Description :</label>
        <%= f.text_area :description, :style => "width : 100%;" %>
      </li>
      <li>
        <label class="float" for="status">Status :</label>
        <%= f.check_box :status %>
      </li>
      <li class="r">
        <%= f.submit 'Save &#187;', {:class=>'submit'} %>
      </li>

    </ul>
  </fieldset>
<% end %>

<% form_for(@gallery, :url => {:action => 'mass_upload'}) do |f| %>
  <fieldset class="set admin" style="display: block;">
    <legend>Mass upload</legend>
    <ul>
      <li>
        <label class="block" for="">Directory where are all pictures</label>
        <%= text_field_tag :directory,{}, {:style => "width: 100%;"}%>
      </li>
      <li class="r">
        <%= f.submit 'Add gallery &#187;', {:class=>'submit'} %>
      </li>
    </ul>
  </fieldset>
<% end %>

<%= link_to 'Back', admin_galleries_path %>
